FROM jboss/wildfly:17.0.1.Final

ARG	BEACON_PROJECT=beacon-network-aggregator
ARG	BEACON_PROJECT_TAG=1.1.0-20191018
ARG	MVNW_TAG=0.5.5

ENV	BEACON_STUFF_ENDPOINT=beacon-network/aggregator/v1.1.0

USER	root
RUN	mkdir /opt/beacon-stuff && chown -R jboss: /opt/beacon-stuff

USER	jboss
COPY	docker-common-build.bash	/tmp/

RUN	/tmp/docker-common-build.bash "${BEACON_PROJECT}" "${BEACON_PROJECT_TAG}" "${MVNW_TAG}"

COPY	command.sh aggregator/*	/opt/beacon-stuff/

CMD	['/opt/beacon-stuff/command.sh']
